Workshop/Fuels
List fuel types
Returns a list of vehicle fuel types with optional filtering.
Query Parameters
search?string
id?string
name?stringDeprecated
created_at?stringDeprecated
Format
dateupdated_at?stringDeprecated
Format
datefilter[name][operator]?string
Operators: sw, ew, ct, eq. Example: filter[name][sw]=value
filter[created_at][operator]?string
Operators: gte, lte, eq. Example: filter[created_at][gte]=value
Format
datefilter[updated_at][operator]?string
Operators: gte, lte, eq. Example: filter[updated_at][gte]=value
Format
datepage?integer
Page number. Default 1; a value below 1 counts as 1.
Default
1Range
1 <= valuelimit?integer
Items per page. Default 50, maximum 250; a larger value is truncated to 250.
Default
50Range
1 <= value <= 250Response Body
curl -X GET "https://og-tenant1.test:8003/api/v2/workshop/fuels?search=string&id=string&name=string&created_at=2019-08-24&updated_at=2019-08-24&filter%5Bname%5D%5Boperator%5D=string&filter%5Bcreated_at%5D%5Boperator%5D=2019-08-24&filter%5Bupdated_at%5D%5Boperator%5D=2019-08-24&page=1&limit=50"{
"data": [
{
"id": 0,
"name": "string",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"meta": {
"per_page": 50,
"current_page": 1,
"has_more": true
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}